Index: include/asterisk/module.h
===================================================================
--- include/asterisk/module.h	(revision 10193)
+++ include/asterisk/module.h	(working copy)
@@ -264,15 +264,15 @@
 
 /*! 
  * \brief Standard localuser struct definition.
- *
- * This macro defines a localuser struct.  The channel.h file must be included
- * to use this macro because it refrences ast_channel.
+ * used to keep track of channels using a given resource.
  */
-#define STANDARD_LOCAL_USER struct localuser { \
-						struct ast_channel *chan; \
-						struct localuser *next; \
-					     }
+struct localuser {
+	struct ast_channel *chan;
+	struct localuser *next;
+};
 
+#define STANDARD_LOCAL_USER	/* unused and deprecated now */
+
 /*! 
  * \brief The localuser declaration.
  *
@@ -282,7 +282,6 @@
  *
  * <b>Sample Usage:</b>
  * \code
- * STANDARD_LOCAL_USER;
  * LOCAL_USER_DECL;
  * \endcode
  */
